package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.SiteLog;

import java.util.List;

/**
 * 站点管理日志记录Mapper接口
 *
 * @author flossom
 * @date 2024-01-12
 */
public interface SiteLogMapper {
    /**
     * 查询站点管理日志记录
     *
     * @param id 站点管理日志记录主键
     * @return 站点管理日志记录
     */
    public SiteLog selectSiteLogById(Long id);

    /**
     * 查询站点管理日志记录列表
     *
     * @param siteLog 站点管理日志记录
     * @return 站点管理日志记录集合
     */
    public List<SiteLog> selectSiteLogList(SiteLog siteLog);

    /**
     * 新增站点管理日志记录
     *
     * @param siteLog 站点管理日志记录
     * @return 结果
     */
    public int insertSiteLog(SiteLog siteLog);

    /**
     * 修改站点管理日志记录
     *
     * @param siteLog 站点管理日志记录
     * @return 结果
     */
    public int updateSiteLog(SiteLog siteLog);

    /**
     * 删除站点管理日志记录
     *
     * @param id 站点管理日志记录主键
     * @return 结果
     */
    public int deleteSiteLogById(Long id);

    public int deleteBySiteId(Long siteId);

    /**
     * 批量删除站点管理日志记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSiteLogByIds(Long[] ids);
}
